本文介绍如何安装Android SDK及相关配置说明。

说明 使用Android SDK时,建议指定Android SDK的版本号。

前提条件

  • Android系统为2.3及以上版本
  • 已开通OSS服务

下载SDK

  • Android SDK开发包

    Android Studio环境下添加如下依赖:

    dependencies { compile 'com.aliyun.dpa:oss-android-sdk:x.x.x' }
  • Github地址:aliyun-oss-android-sdk

安装SDK

您可以通过如下两种方式安装SDK:

  • 方式一:在Maven项目中加入依赖项(推荐方式)
    dependencies {
        compile 'com.aliyun.dpa:oss-android-sdk:x.x.x'}
                        
  • 方式二:源码编译jar包
    1. clone工程源码,运行gradle命令生成jar包:
      # clone工程源码。
      $ git clone https://github.com/aliyun/aliyun-oss-android-sdk.git
      
      # 进入目录。
      $ cd aliyun-oss-android-sdk/oss-android-sdk/
      
      # 执行打包脚本,要求jdk为1.7及以上版本。
      $ ../gradlew releaseJar
      
      # 进入打包生成目录,jar包将在此目录下生成。
      $ cd build/libs && ls                            
    2. 直接引入编译好的jar包:

      将aliyun-oss-sdk-android-x.x.x.jar、okhttp-3.x.x.jarokio-1.x.x.jar3个jar包导入libs目录。

相关配置

以下介绍OSS Android SDK的相关配置:

  • 权限配置

    OSS Android SDK所需的Android权限如下:

    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />
    <uses-permission android:name="android.permission.ACCESS_WIFI_STATE" />
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.MOUNT_UNMOUNT_FILESYSTEMS" />
                        
    说明 请确保您的AndroidManifest.xml文件中配置了以上权限,否则SDK将无法正常工作。
  • 混淆配置

    请在混淆配置中加入以下内容:

    -keep class com.alibaba.sdk.android.oss.** { *; }
    -dontwarn okio.**
    -dontwarn org.apache.commons.codec.binary.**